.nolist
.include "m48def.inc"

.equ	R_channel	= OCR1AL  ; 
.equ	G_channel 	= OCR1BL  ; 

.def	r_al	= r16
.def	r_ah	= r17
.def	tmp_tim	= r18

.macro  outi
		ldi	r_al,@1
		out @0,r_al
.endm

.macro  stsi
		ldi	r_al,@1
		sts @0,r_al 
.endm
.list

.CSEG
	rjmp	RESET		; Reset Handle
.org	0x1A

;step_table: .db 0xE,0xC,0xD,0x9,0xB,0x3,0x7,0x6

RESET:	
	outi	SPL,low(RAMEND)
	outi	SPH,high(RAMEND)

; ***   		
	outi	PORTB,0x00 ; pb3..0 - pull up 
;	outi	DDRB,0x0F  ; pb7..4 - out, pb3..0 - in
	stsi	DDRB+0x20,0x0F  ; pb7..4 - out, pb3..0 - in	
	
	stsi	TCCR1A,(1<<COM1A1)|(1<<COM1B1)|(1<<WGM10); //  OC1A
	stsi	TCCR1B,(1<<CS10); //  OC1B
	stsi	TCCR2A,(1<<COM2A1)|(1<<WGM20); //  OC2 |
	stsi	TCCR2B,(1<<CS20)
	
	stsi	OCR1AL,0xEE; //  
	stsi	OCR1BL,0x52; //
	stsi	OCR2A,0x78;

	

xxx:
	dec		r_ah	
	brne	xxx
	ldi		r_ah,30
	dec		r_al
	sts 	OCR1AL,r_al
	rjmp	xxx
	
	

